Share via


Database Columns - List By Table

List database columns

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns?api-version=2025-01-01&$filter={$filter}

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

schemaName
path True

string

The name of the schema.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

tableName
path True

string

The name of the table.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

An OData filter expression that filters elements in the collection.

Responses

Name Type Description
200 OK

DatabaseColumnListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List database columns

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/serverName/databases/myDatabase/schemas/dbo/tables/table1/columns?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "col1",
      "type": "Microsoft.Sql/servers/databases/schemas/tables/columns",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/serverName/databases/myDatabase/schemas/dbo/tables/table1/columns/col1",
      "properties": {
        "columnType": "nvarchar",
        "isComputed": false,
        "memoryOptimized": false,
        "temporalType": "NonTemporalTable"
      }
    },
    {
      "name": "col2",
      "type": "Microsoft.Sql/servers/databases/schemas/tables/columns",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/serverName/databases/myDatabase/schemas/dbo/tables/table1/columns/col2",
      "properties": {
        "columnType": "bit",
        "isComputed": false,
        "memoryOptimized": false,
        "temporalType": "NonTemporalTable"
      }
    }
  ]
}

Definitions

Name Description
ColumnDataType

The column data type.

createdByType

The type of identity that created the resource.

DatabaseColumn

A database column resource.

DatabaseColumnListResult

The response of a DatabaseColumn list operation.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

TableTemporalType

The table temporal type.

ColumnDataType

The column data type.

Value Description
image

image

text

text

uniqueidentifier

uniqueidentifier

date

date

time

time

datetime2

datetime2

datetimeoffset

datetimeoffset

tinyint

tinyint

smallint

smallint

int

int

smalldatetime

smalldatetime

real

real

money

money

datetime

datetime

float

float

sql_variant

sql_variant

ntext

ntext

bit

bit

decimal

decimal

numeric

numeric

smallmoney

smallmoney

bigint

bigint

hierarchyid

hierarchyid

geometry

geometry

geography

geography

varbinary

varbinary

varchar

varchar

binary

binary

char

char

timestamp

timestamp

nvarchar

nvarchar

nchar

nchar

xml

xml

sysname

sysname

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatabaseColumn

A database column resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.columnType

ColumnDataType

The column data type.

properties.isComputed

boolean

Whether or not the column is computed.

properties.memoryOptimized

boolean

Whether or not the column belongs to a memory optimized table.

properties.temporalType

TableTemporalType

The table temporal type.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DatabaseColumnListResult

The response of a DatabaseColumn list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

DatabaseColumn[]

The DatabaseColumn items on this page

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TableTemporalType

The table temporal type.

Value Description
NonTemporalTable

NonTemporalTable

HistoryTable

HistoryTable

SystemVersionedTemporalTable

SystemVersionedTemporalTable